import codecs



def main_Config():
    g = codecs.open("main_config","r", "utf-8")
    h=g.readlines()
    g.close()
    main_config={}
    for i,n in enumerate(h):
        if i>0:
            pass
        else:
            n=n.split("^")
            for j in n:
                for k in n:
                    k=k.split("!")
                    left=k[0]
                    right=k[1]
                    a = {left:right}
                    main_config.update(a)

    mysql_id = main_config["my_id"]
    mysql_pass = main_config["my_pass"]
    projects = main_config["projects"]
    root_path = main_config["root_path"]
    using_os = main_config["using_os"]

    return mysql_id, mysql_pass, projects, root_path, using_os
if __name__=="__main__":
    ob=""
    mymy()
    #    mymy()
